curl --request POST \
--url https://api.rootfi.dev/v3/accounting/purchase_orders \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '{
"company_id": 1,
"data": [
{
"contact_id": "123456",
"document_number": "ROOTFI01",
"posted_date": "2021-09-28T15:00:00.000Z",
"delivery_date": "2021-09-28T15:00:00.000Z",
"currency_id": "GBP",
"bill_ids": [],
"line_items": [
{
"account_id": "123456",
"quantity": 1,
"item_id": "123456",
"tax_id": "123456",
"unit_amount": 100,
"total_discount": 0,
"description": "Test Item"
}
]
}
]
}'
import { RootFiClient } from "rootfi-api";
const rootfi = new RootFiClient({ apiKey: "<api_key>" });
await rootfi.accounting.purchaseOrder.create({
company_id: 1,
data: [
{
contact_id: "123456",
document_number: "ROOTFI01",
posted_date: "2021-09-28T15:00:00.000Z",
delivery_date: "2021-09-28T15:00:00.000Z",
currency_id: "GBP",
bill_ids: [],
line_items: [
{
account_id: "123456",
quantity: 1,
item_id: "123456",
tax_id: "123456",
unit_amount: 100,
total_discount: 0,
description: "Test Item",
},
],
},
],
});
{
"data": {
"status": "SUCCESS",
"upload_job_id": "xQm2K441VosP8W4",
"data": [
{
"job_id": "aXI9pUDA5T7E2LS",
"status": "success",
"response": {
"platform_id": "3770712000001652001",
"contact_id": "3770712000000080863",
"bill_ids": [
"3770712000000000099"
],
"currency_id": "3770712000000000099",
"document_number": "PO-00073",
"delivery_date": "2023-05-01T00:00:00.000Z",
"posted_date": "2023-04-01T00:00:00.000Z",
"description": "Test description",
"currency_rate": 12,
"status": "SUBMITTED",
"total_amount": 21.28,
"sub_total": 19,
"tax_amount": 2.28,
"total_discount": 0,
"updated_at": "2023-10-28T00:00:00.000Z",
"raw_data": {
"platform_id": "1013",
"name": "Test",
"contact_name": "Test",
"contact_type": "CUSTOMER",
"currency_id": "1",
"status": "ARCHIVED"
}
},
"error": null
}
]
},
"request_timestamp": "2023-10-27T05:05:28.522Z",
"response_timestamp": "2021-09-28T15:00:00.000Z",
"request_id": "7a1c0e42-9f85-4d6e-bb5d-358a72913c0b"
}Purchase Orders
Create Purchase Orders
Create a new Purchase Orders.
POST
/
accounting
/
purchase_orders
curl --request POST \
--url https://api.rootfi.dev/v3/accounting/purchase_orders \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '{
"company_id": 1,
"data": [
{
"contact_id": "123456",
"document_number": "ROOTFI01",
"posted_date": "2021-09-28T15:00:00.000Z",
"delivery_date": "2021-09-28T15:00:00.000Z",
"currency_id": "GBP",
"bill_ids": [],
"line_items": [
{
"account_id": "123456",
"quantity": 1,
"item_id": "123456",
"tax_id": "123456",
"unit_amount": 100,
"total_discount": 0,
"description": "Test Item"
}
]
}
]
}'
import { RootFiClient } from "rootfi-api";
const rootfi = new RootFiClient({ apiKey: "<api_key>" });
await rootfi.accounting.purchaseOrder.create({
company_id: 1,
data: [
{
contact_id: "123456",
document_number: "ROOTFI01",
posted_date: "2021-09-28T15:00:00.000Z",
delivery_date: "2021-09-28T15:00:00.000Z",
currency_id: "GBP",
bill_ids: [],
line_items: [
{
account_id: "123456",
quantity: 1,
item_id: "123456",
tax_id: "123456",
unit_amount: 100,
total_discount: 0,
description: "Test Item",
},
],
},
],
});
{
"data": {
"status": "SUCCESS",
"upload_job_id": "xQm2K441VosP8W4",
"data": [
{
"job_id": "aXI9pUDA5T7E2LS",
"status": "success",
"response": {
"platform_id": "3770712000001652001",
"contact_id": "3770712000000080863",
"bill_ids": [
"3770712000000000099"
],
"currency_id": "3770712000000000099",
"document_number": "PO-00073",
"delivery_date": "2023-05-01T00:00:00.000Z",
"posted_date": "2023-04-01T00:00:00.000Z",
"description": "Test description",
"currency_rate": 12,
"status": "SUBMITTED",
"total_amount": 21.28,
"sub_total": 19,
"tax_amount": 2.28,
"total_discount": 0,
"updated_at": "2023-10-28T00:00:00.000Z",
"raw_data": {
"platform_id": "1013",
"name": "Test",
"contact_name": "Test",
"contact_type": "CUSTOMER",
"currency_id": "1",
"status": "ARCHIVED"
}
},
"error": null
}
]
},
"request_timestamp": "2023-10-27T05:05:28.522Z",
"response_timestamp": "2021-09-28T15:00:00.000Z",
"request_id": "7a1c0e42-9f85-4d6e-bb5d-358a72913c0b"
}A Purchase Order is a record of goods or services purchased from a vendor
Additional Required Fields
To successfully create a purchase order, certain fields must be included in the raw_data object of the request body. The required fields are as follows:| Integration | Field | Description |
|---|---|---|
| SAGE_CLOUD_ACCOUNTING | tax_code | The tax code for the purchase order |
| MYOB_BUSINESS | tax_code | The tax code for the purchase order |
curl --request POST \
--url https://api.rootfi.dev/v3/accounting/purchase_orders \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '{
"company_id": 1,
"data": [
{
"contact_id": "123456",
"document_number": "ROOTFI01",
"posted_date": "2021-09-28T15:00:00.000Z",
"delivery_date": "2021-09-28T15:00:00.000Z",
"currency_id": "GBP",
"bill_ids": [],
"line_items": [
{
"account_id": "123456",
"quantity": 1,
"item_id": "123456",
"tax_id": "123456",
"unit_amount": 100,
"total_discount": 0,
"description": "Test Item"
}
]
}
]
}'
import { RootFiClient } from "rootfi-api";
const rootfi = new RootFiClient({ apiKey: "<api_key>" });
await rootfi.accounting.purchaseOrder.create({
company_id: 1,
data: [
{
contact_id: "123456",
document_number: "ROOTFI01",
posted_date: "2021-09-28T15:00:00.000Z",
delivery_date: "2021-09-28T15:00:00.000Z",
currency_id: "GBP",
bill_ids: [],
line_items: [
{
account_id: "123456",
quantity: 1,
item_id: "123456",
tax_id: "123456",
unit_amount: 100,
total_discount: 0,
description: "Test Item",
},
],
},
],
});
Authorizations
Body
application/json
Response
200 - application/json
Show child attributes
Show child attributes
The time at which the request was received by the server
The time at which the response was sent by the server
The unique ID of the request
⌘I